Bug 93860 - Fix Orbital Explorer with INTEL_SCALAR_GS=1
Summary: Fix Orbital Explorer with INTEL_SCALAR_GS=1
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-25 19:26 UTC by Kenneth Graunke
Modified: 2016-06-17 21:27 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Graunke 2016-01-25 19:26:08 UTC
Orbital Explorer currently hangs the GPU when run with INTEL_SCALAR_GS=1.  This would need to be fixed before we could consider enabling the scalar backend by default.

Also, it generates awful code: something on the order of 3x the number of instructions, along with spilling.  The vec4 code does not spill.

For reference, here's my fork of orbital explorer that uses waffle and builds on Linux (the original was Mac OS X focused, and now unmaintained):

https://github.com/kaydenl/orbital-explorer
Comment 1 Marta Löfstedt 2016-02-02 11:24:17 UTC
Hi Kenneth,

We would also need the INTEL_SCALAR_GS=1 to use MaxImageUniforms. A couple of the Khronos CTS cases for OES_geometry_shader exploit this.
Comment 2 Kenneth Graunke 2016-06-17 21:27:00 UTC
INTEL_SCALAR_GS=1 is now default.  Orbital Explorer no longer hangs, and I tweaked some things to reduce the number of spills significantly.  I think this is as good as we're going to get for now.  The application author has also declared the project dead.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.